Summary:        Performs a verified launch using Intel TXT
Name:           tboot
Version:        1.11.2
Release:        4%{?dist}
License:        BSD
URL:            https://sourceforge.net/projects/tboot/files/tboot
Source0:        https://sourceforge.net/projects/%{name}/files/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  make gcc perl openssl-devel zlib-devel
ExclusiveArch:  x86_64

%description
Trusted Boot (tboot) provides an open source, pre-kernel/VMM module
that uses Intel Trusted Execution Technology (Intel TXT) to perform
a measured and verified launch of an OS kernel/VMM.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS"; export CFLAGS
%make_build debug=y

%install
%make_install debug=y


%files
%license COPYING
%doc docs/*
%config %{_sysconfdir}/grub.d/20_linux_tboot
%config %{_sysconfdir}/grub.d/20_linux_xen_tboot
%{_sbindir}/*
/boot/tboot.gz
/boot/tboot-syms
%{_mandir}/man8/*.8.gz

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.2-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.2-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 11 2023 Shuo Wang <abushwang@tencent.com> - 1.11.2-1
- update to 1.11.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.5-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 18 2022 Shuo Wang <abushwang@tencent.com> - 1.10.5-1
- initial build
